routes/admin.php
<?php

/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
|
| Here is where you can register admin-level routes. Routes in this file
| are protected by auth/login requirements.
|
*/

Route::middleware('admin')->namespace('Admin')->group(function () {

    /**
     * Admin-level homepage/dashboard.
     */
    Route::get('/', 'HomeController@index')->name('home');

    // Testimonials Route
    Route::resource('testimonials', 'TestimonialController');


    // Contact Route
    Route::resource('contacts', 'ContactController');

// setting route
    Route::get('settings' , 'SettingController@index')->name('settings.edit');

    Route::post('settings', 'SettingController@store')->name('settings.store');

    // new fabrication pages
//    Route::get('page/fabrication/list' , 'PageController@listFabrication')->name('fabrication.list');

    Route::resource('fabrications', 'FabricationController');

// slider Route
    Route::resource('sliders', 'SliderController');


    // slide Route
    Route::resource('slides', 'SlideController');

    // floorplan route
    Route::resource('floorplans', 'FloorPlanController');

    Route::post('floorplans/add-items', 'FloorPlanController@addItems');

    // coach model route
    Route::get('models', 'HomeController@models');
    Route::get('models/edit/{id}', 'HomeController@editModel');
    Route::post('models/update/{id}', 'HomeController@updateModel');

    // page route
    Route::get('page/{page}/{tab?}', 'PageController@index');

    Route::post('page/update', 'PageController@update');

    Route::post('page/content/{page}/{key}/delete', 'PageController@deleteContent');

    Route::post('page/content/{page}/{key}/{tab?}/delete', 'PageController@deleteContent');

    // custom reference categories routes
    Route:Route::resource('custom-reference-categories', 'CustomReferenceCategoryController');
    // custom post routes
    Route::get('/custom-posts','CustomPostController@index')->name('customposts.index');

    Route::Post('/custom-posts/slug','CustomPostController@slug')->name('customposts.slug');
    Route::get('/custom-post/create','CustomPostController@create')->name('customposts.create');

    Route::post('/custom-post/store','CustomPostController@store')->name('customposts.store');

    Route::get('/cutom-post/{id}/edit','CustomPostController@edit')->name('customposts.edit');

    Route::post('/custom-post/{id}/update','CustomPostController@update')->name('customposts.update');

    Route::delete('/custom-post/{id}/delete','CustomPostController@delete')->name('customposts.delete');

    Route::get('/custom-reference-category','MegaController@customReferenceCategory')->name('custom-reference-attribute.index');

    Route::get('/custom-reference-category/{id}/edit','MegaController@editCustomReferenceCategory')->name('custom-reference-attribute.edit');

    Route::post('/custom-reference-category/{id}/update','MegaController@updateCustomReferenceCategory')->name('custom-reference-attribute.update');

    /**
     * Users
     */
    //    Route::get('users/{user}/delete', 'UserController@delete')->name('users.delete');
    Route::resource('users', 'UserController');
    Route::resource('members', 'MemberController');
    Route::resource('virtual-tour', 'VirtualTourController'); // ***
//    Route::resource('service-specials', 'ServiceSpecialsController'); // ***
    Route::get('tour-event/payments', 'MemberController@paymentHistory');

    Route::get('{customPostSlug}', 'MegaController@index');
    Route::get('{customPostSlug}/create', 'MegaController@create');
    Route::post('{customPostSlug}/store', 'MegaController@store');
    Route::get('{customPostSlug}/{itemId}/edit', 'MegaController@edit');
    Route::put('{customPostSlug}/{itemId}/update', 'MegaController@update');
    Route::delete('{customPostId}/{itemId}/destroy', 'MegaController@delete');
    Route::post('{customPostId}/{itemId}/{sectionId}/{attributeId}/delete', 'MegaController@deleteDocument');
    Route::get('reference-data-by-selection/{selectedId}/{tableReferencedBy?}/{foreignKey?}', 'MegaController@getReferenceData');
    Route::post('update-sorting-order', 'MegaController@updateSortOrder');

    Route::resource('custom-attributes', 'CustomAttributeController');

});

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//
//Route::get('/', function () {
//    return view('welcome');
//});

use App\Mail\NotificationSend;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;

Auth::routes();

Route::get('/', 'HomeController@index')->name('home');
Route::get('/about', 'HomeController@about')->name('about');
Route::get('/model/{coach?}', 'HomeController@models')->name('coach-model');
Route::get('/inventory', 'HomeController@inventory')->name('inventory');
Route::get('/motorcade-club', 'HomeController@motorcadeClub')->name('motorcade-club');
Route::get('/recall-information' , 'HomeController@recallInformation')->name('recall-information');
Route::get('/owner-service' , 'HomeController@ownerService')->name('owner-service');
Route::get('/technical-support', 'HomeController@technicalSupport')->name('technical-support');
//Route::get('/technical-support/search', 'HomeController@technicalSupportSearch')->name('technical-support-search');
Route::get('/information', 'HomeController@information')->name('information');
Route::get('/parts-department', 'HomeController@partsDepartment')->name('parts-department');
Route::get('/remodel-department', 'HomeController@remodelDepartment')->name('remodel-department');
Route::get('/service-department','HomeController@serviceDepartment')->name('service-department');
Route::get('/career','HomeController@career')->name('career');
Route::get('reference-data-by-selection/{selectedId}', 'HomeController@getReferenceData');
Route::get('fabrication/{page}', 'HomeController@getFabrication');

Route::post('/contact', 'HomeController@contactSubmit')->name('contact');

Route::post('/motorcade-member-register', 'Auth\RegisterController@motorcadeMemberRegister')->name('motorcade-member-register')->middleware('guest');
Route::get('/motorcade-member-profile', 'HomeController@motorcadeMemberProfile')->name('motorcade-member-profile');
Route::post('/motorcade-member-profile', 'HomeController@motorcadeMemberUpdate')->name('motorcade-member-update');
Route::get('/motorcade-member-directory/{type}', 'HomeController@motorcadeMemberDirectory')->name('motorcade-member-directory');

# PayPal checkout
Route::get('checkout', 'PaypalController@payWithPayPal')->name('checkout');

# PayPal status callback
Route::get('paypal-payment-status', 'PaypalController@getPaymentStatus')->name('payment-status');


Route::get('send-mail', function (){

    // get the subject of notification email.
    $subject        = 'New Motorcade Member Registration!!';

    // get the body of notification email.
    $contentText    = Auth::user();

    Mail::to(env('MAIL_TO_ADDRESS'))->send(new NotificationSend('member-registration',$contentText, $subject));

});

app/Models/Slider.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Slider extends Model
{
    public function slides()
    {
    	return $this->hasMany(Slide::class)->orderBy('order');
    }

    public function createdBy(){
        return $this->belongsTo(User::class,'created_by');
    }


    public function updatedBy(){
        return $this->belongsTo(User::class,'updated_by');
    }
}

app/Http/Controllers/Admin/SliderController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Models\CoachModel;
use Illuminate\Http\Request;
use App\Models\Slider;
use App\Models\Slide;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class SliderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */


    public function index()
    {
        $sliders = Slider::get();
        return view('admin.sliders.index')->withSliders($sliders);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.sliders.create');

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validator = $request->validate([

            'name'             => 'required|unique:sliders,name',
            'description'      => 'required',

        ]);

        $slider = New Slider();
        $slider->name = $request->name;
        $slider->section = makeSlugByName($slider->name);
        $slider->description = $request->description;
        $slider->created_by = Auth::user()->id;

        $slider->save();
        return redirect()->route('admin.sliders.index')->with('success','slider created successfully');


    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id,Request $request)
    {
        $slider = Slider::with('slides')->where('section',$id)->first();

        $slide = Slide::with('coachModel')->where('slider_id',$slider->id)->get();

        $coachModels = CoachModel::all();

        $param = null;

        if($request->has('model')){
            $param = $request->get('model');

            $slider = Slider::with(['slides' => function($query) use ($param){
                $query->where('model', $param);
            }])->where('section',$id)->first();
//            dd($slide);
        }

        return view('admin.sliders.edit',compact('slider','slide','coachModels','param'));


    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = $request->validate([

            'name'             => 'required|unique:sliders,name,'. $id,
            'description'      => 'required',

        ]);
        $slider = Slider::find($id);
        $slider->name = $request->name;
        $slider->section = makeSlugByName($slider->name);
        $slider->description = $request->description;
        $slider->updated_by = Auth::user()->id;

        $slider->update();
        return redirect()->route('admin.sliders.index')->with('success','slider updated successfully');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {

        $slider = Slider::find($id);
        $slides = slide::where('slider_id',$slider->id);
        $slides->delete();
        $slider->delete();
        if($slider){
            return redirect()->route('admin.sliders.index')->with('success','slider deleted successfully');

        }else{
            return redirect()->route('admin.sliders.index')->with('success','slider deletion fialed');
        }
    }

}

resources/views/admin/sliders/create.blade.php
@extends('layouts.admin')
@section('content')
<div class="">
    <div class="row">
            <div class="col-12">
                    <div class="page-header">
                            <h1>
                                Slider
                                <small>
                                    <i class="ace-icon fa fa-angle-double-right"></i>
                                    create Slider
                                </small>
                            </h1>
                        </div>

               <div class="form">
               <form class="form-horizontal" action="{{ route('admin.sliders.store')}}" method="post">
                       {{ csrf_field()}}
                       <div class="form-group @error('name') has-error @enderror">
                               <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Name </label>

                                    <div class="col-sm-9">
                                        <div class="clearfix">
                                            <input type="text" id="form-field-1" placeholder="Name" name="name" class="col-xs-10 col-sm-5" />
                                        </div>
                                        @error('name')
                                            <div  class="help-block">{{ $message }}</div>
                                        @enderror
                                    </div>


                       </div>
                       <div class="form-group @error('description') has-error @enderror">
                            <label class="col-sm-3 control-label no-padding-right" for="message">Description</label>

                            <div class="col-sm-9">
                                <div class="clearfix">
                                    <textarea class="col-xs-10  col-sm-5" rows="5" id="form-field-9" placeholder="Description"  name="description"></textarea>
                                </div>
                                @error('description')
                                    <div  class="help-block">{{ $message }}</div>
                                @enderror

                            </div>

                        </div>
                        <div class="clearfix">
                                <div class="col-md-offset-3 col-md-9">
                                    <button class="btn btn-info" type="submit">
                                        <i class="ace-icon fa fa-check bigger-110"></i>
                                        Submit
                                    </button>
                                </div>
                        </div>

               </form>
               </div>
            </div>
    </div>
</div>
@endsection

resources/views/admin/sliders/index.blade.php
@extends('layouts.admin')
@section('content')

    {!!  _breadcrumbs('Sliders')  !!}

<div class="">
    <div class="row">
        <div class="col-lg-12">
            <div class="page-header">
                <h1>
                    Sliders
                    <small>
                        <i class="ace-icon fa fa-angle-double-right"></i>
                        All Slider
                    </small>
                </h1>
            </div>

            @if (session('success'))
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">
                        <i class="ace-icon fa fa-times"></i>
                    </button>

                    <strong>
                        <i class="ace-icon fa fa-check"></i>
                        Success!
                    </strong>
                    {{ session('success') }}
                    <br>
                </div>
            @endif

            <div class="all-contacts">
                <table id="simple-table" class="table  table-bordered table-hover">
                        <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Description</th>

                                    <th>Updated By</th>
                                    <th>Actions</th>
                                </tr>
                        </thead>

                        <tbody>
                            @foreach ($sliders as $slider)
                                <tr>
                                    <td>{{$slider->name}}</td>
                                    <td>{{$slider->description}}</td>
                                    <td>{{$slider->updatedBy->name}}</td>
                                    <td>
                                        <div class="hidden-sm hidden-xs btn-group" style="display:flex">
                                            {{-- <button class="btn btn-xs btn-success" class="tooltip-info" data-rel="tooltip" title="View"> --}}
                                                <a class="btn btn-xs btn-success" href="{{route('admin.sliders.edit', $slider->section)}}">
                                                    <i class="ace-icon fa fa-pencil bigger-120"></i>
                                                </a>
                                            {{-- </button> --}}

                                            <form method="post" class="delete_form" action="{{route('admin.sliders.destroy', $slider->id)}}">
                                                {{csrf_field()}}
                                                <input type="hidden" name="_method" value="DELETE" />
                                                <button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-xs btn-danger" class="tooltip-info" data-rel="tooltip" title="Delete">
                                                    <span class="red">
                                                        <i style="background-color:white" class="ace-icon fa fa-trash-o bigger-120"></i>
                                                    </span>
                                                </button>
                                            </form>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach

                        </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

@endsection